package intient.xml.keys;

import java.security.Key;

import javax.xml.crypto.KeySelectorResult;

/**
 * KeySelectorResult implementation for use by KeyResolver
 * 
 * @author Bradley Beddoes
 */
public class ExternalKeySelectorResult implements KeySelectorResult {

	Key key;

	public ExternalKeySelectorResult(Key key) {
		this.key = key;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see javax.xml.crypto.KeySelectorResult#getKey()
	 */
	public Key getKey() {
		return this.key;
	}
}
