package intient.xml.exception;

/**
 * Exception thrown when a key cannot be resolved.
 * 
 * @author Bradley Beddoes
 */
public class KeySelectorException extends Exception {
	private static final long serialVersionUID = 7136192181094059050L;

	/**
	 * Exception thrown when a key cannot be resolved.
	 * 
	 * @param message
	 *            Human readable message indicating why this exception was thrown
	 * @param cause
	 *            Any exception which caused this exception to be thrown, may be null
	 */
	public KeySelectorException(String message, Exception cause) {
		super(message, cause);
	}

	/**
	 * Exception thrown when a key cannot be.
	 * 
	 * @param message
	 *            Human readable message indicating why this exception was thrown
	 */
	public KeySelectorException(String message) {
		super(message);
	}
}
